package kr.co.compcarecompany.Data.Company;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.Comparator;
import java.util.Date;

public class MachineLogData {

    @SerializedName("mol_idx")
    @Expose
    private String molIdx;

    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;

    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;

    @SerializedName("mc_idx")
    @Expose
    private String mcIdx;

    @SerializedName("mb_idx")
    @Expose
    private String mbIdx;

    @SerializedName("mb_name")
    @Expose
    private String mbName;

    @SerializedName("mc_iot_mac")
    @Expose
    private String mcIotMac;

    @SerializedName("del_flag")
    @Expose
    private String delFlag;

    @SerializedName("ins_dt")
    @Expose
    private String insDt;

    @SerializedName("pd_name")
    @Expose
    private String pdName;

    @SerializedName("qr_code")
    @Expose
    private String qrCode;

    @SerializedName("mc_schedule_yn")
    @Expose
    private String mcScheduleYn;

//23.08.06 iot 타임라인 sensor 추가
    @SerializedName("sensor")
    @Expose
    private String mcSensor;

    @SerializedName("sensor_value")
    @Expose
    private String mcSensorvalue;

    public String getMolIdx() {
        return molIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public String getMcIdx() {
        return mcIdx;
    }

    public String getMbIdx() {
        return mbIdx;
    }

    public String getMbName() {
        return mbName;
    }

    public String getMcIotMac() {
        return mcIotMac;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public String getInsDt() {
        return insDt;
    }

    public String getPdName() {
        return pdName;
    }

    public String getQrCode() {
        return qrCode;
    }

    public String getMcScheduleYn() {
        return mcScheduleYn;
    }
    //23.08.06 iot 타임라인 sensor 추가
    public String getMcSensor() { return mcSensor; }
    public String getMcSensorvalue() { return mcSensorvalue; }
}
